import java.io.*;

/**
 * Пример использования класса FileReader
 * */
public class Main {
    private static File file;

    /**
     * Функция для проверки переданных аргументов командной строки
     * @param args аргументы командной строки
     * @return true, если мы корректно передали неообходимые аргументы, и false в противном случае
     * */
    private static boolean checKArgs(String[] args) {
        /*Провераяем что мы передали путь к файлу*/
        if (args.length == 0) {
            System.out.println("Введите путь к файлу");
            return false;
        }

        String fileName = args[0];
        file = new File(fileName);

        /*Проверяем, что мы передали путь к существующему файлу*/
        if (!file.exists()) {
            System.out.println("Заданный файл не существует");
            return false;
        }

        return true;
    }

    public static void main(String[] args) {
        /*Проверяем аргументы командной строки*/
        if (checKArgs(args)) {
            try (FileReader fileReader = new FileReader(file)) {
                /*Создаем буфер для чтения*/
                char[] buffer = new char[1024];
                /*читаем символы из файла и выводим их на экран*/
                while (fileReader.read(buffer) != -1) {
                    System.out.print(buffer);
                }
            } catch (IOException ignore) {}
        }
    }
}
